View Issue Details

IDProjectCategoryView StatusLast Update
0001897Far ManagerBuild Systempublic2011-10-03 17:05
ReporterITSpecAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0001897: Far 3.0 не собирается в gcc
DescriptionНачиная с билда 2130 (svn r6514) far перестал собираться в gcc.
Это связано с появлением нового файла api_test.c и соответствующим изменением makefile_gcc. Со старым makefile_gcc всё собирается.

Для сборки использую
i686-mingw32-g++ (Gentoo 4.5.3-r1 p1.0, pie-0.4.5) 4.5.3
w32api-3.17.2
mingw-runtime-3.18
binutils-2.21.1

Вот вывод консоли:

make: Вход в каталог `/home/filatov/develop/far/fardev/unicode_far'
generating bootstrap/farlang.templ
generating language files
wineconsole tools/lng.generator.exe -nc -i ./bootstrap/lang.ini -ol "./Release.32.gcc/" ./bootstrap/farlang.templ
Rebuilding dependencies...
make[1]: Вход в каталог `/home/filatov/develop/far/fardev/unicode_far'
generating Include/plugin.hpp
generating Include/farcolor.hpp
testing C plugin API
In file included from api_test.c:1:0:
Include/plugin.hpp:66:2: ошибка: expected specifier-qualifier-list before ‘DWORD’
Include/plugin.hpp:76:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARCOLORFLAGS’
Include/plugin.hpp:78:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FCF_NONE’
Include/plugin.hpp:93:2: ошибка: expected specifier-qualifier-list before ‘FARCOLORFLAGS’
Include/plugin.hpp:112:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘COLORDIALOGFLAGS’
Include/plugin.hpp:114:5: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘CDF_NONE’
Include/plugin.hpp:116:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:122:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARMESSAGEFLAGS’
Include/plugin.hpp:124:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FMSG_NONE’
Include/plugin.hpp:137:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:172:22: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘IsEdit’
Include/plugin.hpp:189:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARDIALOGITEMFLAGS’
Include/plugin.hpp:191:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘DIF_NONE’
Include/plugin.hpp:368:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘LISTITEMFLAGS’
Include/plugin.hpp:370:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘LIF_NONE’
Include/plugin.hpp:383:2: ошибка: expected specifier-qualifier-list before ‘LISTITEMFLAGS’
Include/plugin.hpp:412:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARLISTFINDFLAGS’
Include/plugin.hpp:414:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘LIFIND_NONE’
Include/plugin.hpp:421:16: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:432:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARLISTINFOFLAGS’
Include/plugin.hpp:434:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘LINFO_NONE’
Include/plugin.hpp:443:2: ошибка: expected specifier-qualifier-list before ‘FARLISTINFOFLAGS’
Include/plugin.hpp:455:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:462:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:468:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:476:19: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘Flags’
Include/plugin.hpp:484:2: ошибка: expected specifier-qualifier-list before ‘WCHAR’
Include/plugin.hpp:497:3: ошибка: expected specifier-qualifier-list before ‘DWORD_PTR’
Include/plugin.hpp:503:16: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:513:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:519:2: ошибка: expected specifier-qualifier-list before ‘HANDLE’
Include/plugin.hpp:528:2: ошибка: expected specifier-qualifier-list before ‘HANDLE’
Include/plugin.hpp:533:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:540:2: ошибка: expected specifier-qualifier-list before ‘size_t’
In file included from api_test.c:1:0:
Include/plugin.hpp:574:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARDIALOGFLAGS’
Include/plugin.hpp:576:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FDLG_WARNING’
Include/plugin.hpp:586:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:593:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:600:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:607:23: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:623:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:627:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:633:5: ошибка: expected specifier-qualifier-list before ‘WORD’
Include/plugin.hpp:637:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘MENUITEMFLAGS’
Include/plugin.hpp:639:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘MIF_SELECTED’
Include/plugin.hpp:652:2: ошибка: expected specifier-qualifier-list before ‘MENUITEMFLAGS’
Include/plugin.hpp:659:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARMENUFLAGS’
Include/plugin.hpp:661:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FMENU_SHOWAMPERSAND’
Include/plugin.hpp:671:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:688:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PLUGINPANELITEMFLAGS’
Include/plugin.hpp:690:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PPIF_NONE’
Include/plugin.hpp:697:2: ошибка: expected specifier-qualifier-list before ‘FILETIME’
Include/plugin.hpp:724:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:728:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PANELINFOFLAGS’
Include/plugin.hpp:730:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PFLAGS_NONE’
Include/plugin.hpp:777:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:795:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:848:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:855:23: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:857:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:860:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:866:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:874:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:875:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:877:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VIEWER_FLAGS’
Include/plugin.hpp:879:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VF_NONE’
Include/plugin.hpp:887:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:898:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘EDITOR_FLAGS’
Include/plugin.hpp:900:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘EF_NONMODAL’
Include/plugin.hpp:935:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:948:22: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:953:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARHELPFLAGS’
Include/plugin.hpp:955:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FHELP_NONE’
Include/plugin.hpp:963:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1085:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FAREJECTMEDIAFLAGS’
Include/plugin.hpp:1087:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘EJECT_NO_MESSAGE’
Include/plugin.hpp:1097:2: ошибка: expected specifier-qualifier-list before ‘DWORD’
Include/plugin.hpp:1105:36: ошибка: ‘DRIVE_UNKNOWN’ undeclared here (not in a function)
Include/plugin.hpp:1106:36: ошибка: ‘DRIVE_NO_ROOT_DIR’ undeclared here (not in a function)
Include/plugin.hpp:1107:36: ошибка: ‘DRIVE_REMOVABLE’ undeclared here (not in a function)
Include/plugin.hpp:1108:36: ошибка: ‘DRIVE_FIXED’ undeclared here (not in a function)
Include/plugin.hpp:1109:36: ошибка: ‘DRIVE_REMOTE’ undeclared here (not in a function)
Include/plugin.hpp:1110:36: ошибка: ‘DRIVE_CDROM’ undeclared here (not in a function)
Include/plugin.hpp:1111:36: ошибка: ‘DRIVE_RAMDISK’ undeclared here (not in a function)
Include/plugin.hpp:1123:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARMEDIATYPEFLAGS’
Include/plugin.hpp:1125:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘MEDIATYPE_NONE’
Include/plugin.hpp:1130:2: ошибка: expected specifier-qualifier-list before ‘DWORD’
Include/plugin.hpp:1148:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARKEYMACROFLAGS’
Include/plugin.hpp:1150:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘KMFLAGS_NONE’
Include/plugin.hpp:1214:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1223:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1242:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARADDKEYMACROFLAGS’
Include/plugin.hpp:1244:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘AKMFLAGS_NONE’
Include/plugin.hpp:1246:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1250:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1272:3: ошибка: expected specifier-qualifier-list before ‘__int64’
Include/plugin.hpp:1332:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FARSETCOLORFLAGS’
Include/plugin.hpp:1335:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FSETCLR_NONE’
Include/plugin.hpp:1340:2: ошибка: expected specifier-qualifier-list before ‘FARSETCOLORFLAGS’
Include/plugin.hpp:1367:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘WINDOWINFO_FLAGS’
Include/plugin.hpp:1369:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘WIF_MODIFIED’
Include/plugin.hpp:1374:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1387:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1402:19: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘Completed’
Include/plugin.hpp:1417:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VIEWER_OPTIONS’
Include/plugin.hpp:1419:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VOPT_NONE’
Include/plugin.hpp:1430:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VIEWER_SETMODEFLAGS_TYPES’
Include/plugin.hpp:1432:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VSMFL_REDRAW’
Include/plugin.hpp:1440:3: ошибка: expected specifier-qualifier-list before ‘wchar_t’
Include/plugin.hpp:1446:2: ошибка: expected specifier-qualifier-list before ‘VIEWER_SETMODEFLAGS_TYPES’
Include/plugin.hpp:1452:2: ошибка: expected specifier-qualifier-list before ‘__int64’
Include/plugin.hpp:1456:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VIEWER_SETPOS_FLAGS’
Include/plugin.hpp:1458:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VSP_NOREDRAW’
Include/plugin.hpp:1465:2: ошибка: expected specifier-qualifier-list before ‘VIEWER_SETPOS_FLAGS’
Include/plugin.hpp:1472:2: ошибка: expected specifier-qualifier-list before ‘UINT’
Include/plugin.hpp:1481:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1593:19: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘Flags’
Include/plugin.hpp:1604:3: ошибка: expected specifier-qualifier-list before ‘wchar_t’
Include/plugin.hpp:1611:19: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘Flags’
Include/plugin.hpp:1628:2: ошибка: expected specifier-qualifier-list before ‘DWORD_PTR’
Include/plugin.hpp:1636:2: ошибка: expected specifier-qualifier-list before ‘wchar_t’
Include/plugin.hpp:1651:16: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:1707:2: ошибка: expected specifier-qualifier-list before ‘DWORD’
Include/plugin.hpp:1721:2: ошибка: expected specifier-qualifier-list before ‘DWORD_PTR’
Include/plugin.hpp:1753:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘EDITORCOLORFLAGS’
Include/plugin.hpp:1755:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ECF_TABMARKFIRST’
Include/plugin.hpp:1760:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1773:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1783:16: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:1788:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘INPUTBOXFLAGS’
Include/plugin.hpp:1790:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FIB_ENABLEEMPTY’
Include/plugin.hpp:1802:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1863:15: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:1894:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1901:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1922:15: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:1928:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1935:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:1939:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1946:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1953:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1960:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1967:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1974:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1981:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1988:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:1995:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2003:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2004:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2005:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2007:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2008:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2009:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2010:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2011:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2012:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2013:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2014:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2015:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2016:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2017:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2018:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2019:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2020:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2021:19: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2022:22: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2023:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2024:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2025:17: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2026:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2027:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2028:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2029:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2030:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2031:25: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2032:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2033:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2034:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2035:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2036:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2037:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2039:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PROCESSNAME_FLAGS’
Include/plugin.hpp:2041:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PN_CMPNAME’
Include/plugin.hpp:2046:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2048:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2050:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘XLAT_FLAGS’
Include/plugin.hpp:2052:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘XLAT_SWITCHKEYBLAYOUT’
Include/plugin.hpp:2058:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2060:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2062:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2064:21: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2070:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FRSMODE’
Include/plugin.hpp:2072:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FRS_RETUPDIR’
Include/plugin.hpp:2076:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2077:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2078:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2079:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2091:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘MKLINK_FLAGS’
Include/plugin.hpp:2093:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘MLF_NONE’
Include/plugin.hpp:2097:22: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2098:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2107:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2109:24: ошибка: expected ‘)’ before ‘*’ token
Include/plugin.hpp:2113:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2174:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2213:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PLUGIN_FLAGS’
Include/plugin.hpp:2215:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PF_NONE’
Include/plugin.hpp:2225:13: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2240:2: ошибка: expected specifier-qualifier-list before ‘DWORD’
Include/plugin.hpp:2247:22: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘CheckVersion’
In file included from api_test.c:1:0:
Include/plugin.hpp:2252:57: ошибка: expected ‘)’ before ‘Major’
Include/plugin.hpp:2262:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2273:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2291:16: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2296:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PANELMODE_FLAGS’
Include/plugin.hpp:2298:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PMFLAGS_FULLSCREEN’
Include/plugin.hpp:2305:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2314:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘OPENPANELINFO_FLAGS’
Include/plugin.hpp:2316:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘OPIF_NONE’
Include/plugin.hpp:2338:16: ошибка: expected ‘:’, ‘,’, ‘;’, ‘}’ or ‘__attribute__’ before ‘*’ token
Include/plugin.hpp:2344:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2348:26: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘OPERATION_MODES’
Include/plugin.hpp:2350:2: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘OPM_NONE’
Include/plugin.hpp:2362:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2385:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2441:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2449:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2458:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2466:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2477:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2486:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2494:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2503:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2512:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2521:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2529:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2540:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2549:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2556:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2579:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2584:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2592:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2599:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2606:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2613:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2620:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2626:2: ошибка: expected specifier-qualifier-list before ‘size_t’
Include/plugin.hpp:2636:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘AnalyseW’
Include/plugin.hpp:2637:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ClosePanelW’
Include/plugin.hpp:2638:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘CompareW’
Include/plugin.hpp:2639:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ConfigureW’
Include/plugin.hpp:2640:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘DeleteFilesW’
Include/plugin.hpp:2641:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ExitFARW’
Include/plugin.hpp:2642:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FreeFindDataW’
Include/plugin.hpp:2643:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘FreeVirtualFindDataW’
Include/plugin.hpp:2644:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GetFilesW’
Include/plugin.hpp:2645:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GetFindDataW’
Include/plugin.hpp:2646:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GetGlobalInfoW’
Include/plugin.hpp:2647:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GetOpenPanelInfoW’
Include/plugin.hpp:2648:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GetPluginInfoW’
Include/plugin.hpp:2649:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘GetVirtualFindDataW’
Include/plugin.hpp:2650:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘MakeDirectoryW’
Include/plugin.hpp:2651:9: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘WINAPI’
Include/plugin.hpp:2652:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessDialogEventW’
Include/plugin.hpp:2653:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessEditorEventW’
Include/plugin.hpp:2654:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessEditorInputW’
Include/plugin.hpp:2655:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessPanelEventW’
Include/plugin.hpp:2656:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessHostFileW’
Include/plugin.hpp:2657:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessPanelInputW’
Include/plugin.hpp:2668:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessSynchroEventW’
Include/plugin.hpp:2669:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ProcessViewerEventW’
Include/plugin.hpp:2670:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘PutFilesW’
Include/plugin.hpp:2671:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘SetDirectoryW’
Include/plugin.hpp:2672:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘SetFindListW’
Include/plugin.hpp:2673:16: ошибка: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘SetStartupInfoW’
In file included from api_test.c:2:0:
Include/farcolor.hpp:64:9: ошибка: ‘FOREGROUND_BLUE’ undeclared here (not in a function)
Include/farcolor.hpp:65:10: ошибка: ‘FOREGROUND_GREEN’ undeclared here (not in a function)
Include/farcolor.hpp:67:8: ошибка: ‘FOREGROUND_RED’ undeclared here (not in a function)
Include/farcolor.hpp:71:13: ошибка: ‘FOREGROUND_INTENSITY’ undeclared here (not in a function)
Include/farcolor.hpp:80:9: ошибка: ‘BACKGROUND_BLUE’ undeclared here (not in a function)
Include/farcolor.hpp:81:10: ошибка: ‘BACKGROUND_GREEN’ undeclared here (not in a function)
Include/farcolor.hpp:83:8: ошибка: ‘BACKGROUND_RED’ undeclared here (not in a function)
Include/farcolor.hpp:87:13: ошибка: ‘BACKGROUND_INTENSITY’ undeclared here (not in a function)
make[1]: *** [Release.32.gcc/obj/api_test_c.testobj] Ошибка 1
make[1]: Выход из каталога `/home/filatov/develop/far/fardev/unicode_far'
make: *** [all] Ошибка 2
make: Выход из каталога `/home/filatov/develop/far/fardev/unicode_far'

P.S.
В api_test.c не плохо было бы поправить регистр в инклюдах, "Include/plugin.hpp" вместо "include/plugin.hpp" и т.д.
TagsNo tags attached.
Build2209

Activities

2useven10

2011-09-29 12:45

developer   bugnote:0007756

странно. у меня под mingw 4.5.2 всё собирается.
судя по:
Include/plugin.hpp:66:2: ошибка: expected specifier-qualifier-list before ‘DWORD’
цепляется plugin.hpp из unicode_far/, а не сгенерённый из unicode_far/Include/

ITSpec

2011-09-29 15:28

reporter   bugnote:0007757

Думаю дело не в этом, если я копирую unicode_far/Include/plugin.hpp в unicode_far/plugin.hpp, то ситуация не меняется - всё равно ошибки. Да и отличия между файлами не большие

diff ./plugin.hpp ./Include/plugin.hpp
11c11
< Plugin API for Far Manager <%VERSION%>
---
> Plugin API for Far Manager 3.0 build 2205
30c30
< THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
---
> THIS SOFTWARE IS PROVIDED BY THE AUTHOR `AS IS' AND ANY EXPRESS OR
46,50c46,50
< #define FARMANAGERVERSION_MAJOR 3
< #define FARMANAGERVERSION_MINOR 0
< #define FARMANAGERVERSION_REVISION 0
< #define FARMANAGERVERSION_BUILD 1905
< #define FARMANAGERVERSION_STAGE VS_RELEASE
---
> #define FARMANAGERVERSION_MAJOR 3
> #define FARMANAGERVERSION_MINOR 0
> #define FARMANAGERVERSION_REVISION 0
> #define FARMANAGERVERSION_BUILD 2205
> #define FARMANAGERVERSION_STAGE VS_RELEASE

Когда я убираю из makefile_gcc всё что касается api_test.c - всё собирается нормально.

2useven10

2011-09-29 15:45

developer   bugnote:0007758

Last edited: 2011-09-29 15:51

View 3 revisions

отличия в #ifdef FAR_USE_INTERNALS, который приводит к невключению <windows.h> и всем Вашим ошибкам. И отличий гораздо больше. А копировать как раз не надо. Include/plugin.hpp - это plugin.hpp с отключенным FAR_USE_INTERNALS.

ITSpec

2011-09-29 17:47

reporter   bugnote:0007760

Last edited: 2011-09-29 17:58

View 3 revisions

Отличий в plugin.hpp у меня ровно столько как указано в предыдущем посте.
В обоих вариантах есть строки:

в начале

#ifndef FAR_USE_INTERNALS
#define FAR_USE_INTERNALS
#endif // END FAR_USE_INTERNALS

в середине

#ifdef FAR_USE_INTERNALS
#else // ELSE FAR_USE_INTERNALS
#include <windows.h>
#endif // END FAR_USE_INTERNALS

т.е. #include <windows.h> не включается

а так

//#ifdef FAR_USE_INTERNALS
//#else // ELSE FAR_USE_INTERNALS
#include <windows.h>
//#endif // END FAR_USE_INTERNALS

всё нормально собирается

Так же far собирается нормально, если из makefile_gcc убрать всё связанное с api_test.c, при этом не трогая Include/plugin.hpp

2useven10

2011-09-29 18:09

developer   bugnote:0007761

Last edited: 2011-09-29 18:11

View 2 revisions

Попробуйте убить Include/plugin.hpp - он должен быть перегенерён, у Вас он неправильный и не пересоздаётся. Должно быть примерно так (с точностью до слешей):

Rebuilding dependencies...
mingw32-make.exe[1]: Entering directory `C:/Projects/far/far3/unicode_far'
generating .\\Include\\plugin.hpp
...
test C Plugin API.....
....

vskirdin

2011-09-29 22:14

administrator   bugnote:0007762

Файл plugin.hpp в Include - это для плагинов и он неравен plugin.hpp из основного каталога. В основном каталоге - для ФАРа. ФАР генерит для плагинов нужный plugin.hpp и помещает в Include.
Ферштейн?
Сделай для начала make clean, а потом запусти компиляцию.

ITSpec

2011-09-30 10:32

reporter   bugnote:0007763

По поводу "убить Include/plugin.hpp" или "для начала make clean"
я вообще копирую перед сборкой всё дерево svn - это не помогает.

Напомню что если поправить makefile_gcc или plugin.hpp то всё собирается нормально

2useven10

2011-09-30 10:41

developer   bugnote:0007764

Last edited: 2011-09-30 10:49

View 2 revisions

svn здесь не причём. каталог Include не под svn-ом, файлы в нём создаются во время выполнения мэйка. У Вас там мусор (скорее всего скопированный ручками). Надо просто тупо выполнить то, что Вам советуют.
ЗЫ: include в api_test.c конечно надо бы поправить, возможно мусор у Вас в каталоге include/

ITSpec

2011-09-30 11:28

reporter   bugnote:0007765

Вы не поняли. Я вообще удаляю ВСЁ из каталога и копирую исходники из того каталога, который обновляется по svn - это "чистые" исходники без всякого мусора.
Единственно что я исправляю - это регистр в api_test.c "include/" на "Include/".
"make clean" я конечно тоже пробовал делать.

2useven10

2011-09-30 11:42

developer   bugnote:0007766

Значит надо почистить каталог unicode_far/Include/ в том месте ОТКУДА вы копируете.

ITSpec

2011-09-30 11:51

reporter   bugnote:0007767

Last edited: 2011-09-30 11:53

View 3 revisions

Каталог "ОТКУДА" обновляется командой
svn co http://farmanager.com/svn/trunk fardev
И естественно unicode_far/Include/ там нет.
Или Вы всерьёз полагали что в исходниках на farmanager.com мог быть каталог unicode_far/Include/, который генерится при сборке?

2useven10

2011-09-30 12:06

developer   bugnote:0007768

я серьёзно полагаю, что если вы всё делаете так как описываете, в каталоге Include/ не может быть файла plugin.hpp в котором есть строки #ifdef FAR_USE_INTERNALS.

2useven10

2011-09-30 12:22

developer   bugnote:0007769

попробуйте выполлнить генерацию вручную и проверить результат:
tools\m4 -P -DFARBIT=32 -DINPUT=plugin.hpp headers.m4 > test_plugin.hpp

ITSpec

2011-09-30 12:28

reporter   bugnote:0007770

Специально воспроизвёл всё сначала со свежими исходниками
файл Include/plugin.hpp создаётся.

И строки "#ifdef FAR_USE_INTERNALS" там есть и не в одинственном экземпляре.
То что я писал ранее имеет место быть

ITSpec

2011-09-30 12:34

reporter   bugnote:0007771

Выполнил
m4 -P -DFARBIT=32 -DINPUT=./plugin.hpp ./headers.m4 > ./test_plugin.hpp

полученный файл test_plugin.hpp идентичен файлу Include/plugin.hpp даже контрольная сумма сходится

2useven10

2011-09-30 12:57

developer   bugnote:0007772

ok...
tools\gawk.exe -f scripts/plugins.awk -v p1=3 -v p2=0 -v p4=2206 p5=VS_RELEASE plugin.hpp > test_plugin.hpp

ITSpec

2011-09-30 13:01

reporter   bugnote:0007773

Выполнил
gawk -f scripts/plugins.awk -v p1=3 -v p2=0 -v p4=2206 p5=VS_RELEASE ./plugin.hpp > ./test_plugin.hpp

вот отличия файлов

diff ./Include/plugin.hpp ./test_plugin.hpp
30c30
< THIS SOFTWARE IS PROVIDED BY THE AUTHOR `AS IS' AND ANY EXPRESS OR
---
> THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR

2useven10

2011-09-30 13:11

developer   bugnote:0007774

а если всё-таки обе команды через через tools?
wineconsole tools/m4.exe ...

ITSpec

2011-09-30 14:00

reporter   bugnote:0007775

Last edited: 2011-09-30 14:16

View 4 revisions

через wineconsole пустой файл получается. Видемо вайн не отдаёт вывод в стандартный поток. Нашёл выход: запустил Far.exe в вайне и там выполнил

tools\m4 -P -DFARBIT=32 -DINPUT=plugin.hpp headers.m4 > test_plugin.hpp
test_plugin.hpp получился аналогичным только в UNIX-формате (в смысле символов перевода строки)

а вот со второй командой всё интересней
tools\gawk.exe -f scripts/plugins.awk -v p1=3 -v p2=0 -v p4=2206 p5=VS_RELEASE plugin.hpp > test_plugin.hpp

Здесь файлы отличаются как раз по части FAR_USE_INTERNALS
в test_plugin.hpp нет строк, содержащих "FAR_USE_INTERNALS"

Но при сборке я задействую системные m4 и gawk, а не из каталога tools

GNU Awk 3.1.8
m4 (GNU M4) 1.4.15

2useven10

2011-09-30 14:29

developer   bugnote:0007776

Last edited: 2011-09-30 14:33

View 3 revisions

попробуйте в tools.m4 заменить tools/gawk.exe на gawk.
после этого выполнить генерацию через юниксовый m4.
... хотя нет - юниксовый gawk не сработал...
боюсь я пока пас. юникса под рукой нет - проверить не смогу.
и внятных объяснений почему это работало раньше, а сейчас нет - тоже дать не могу.

vskirdin

2011-09-30 15:19

administrator   bugnote:0007778

> Видемо вайн не отдаёт вывод в стандартный поток. Нашёл выход: запустил Far.exe в вайне и там выполнил
хмм... а cmd.exe не катит?

> Но при сборке я задействую системные m4 и gawk, а не из каталога tools
может поэтому?

2useven10

2011-09-30 15:45

developer   bugnote:0007779

юниксовый gawk обламывается на досовских концах строк в plugin.hpp
если конвертнуть его предварительно в юникс формат - всё должно работать...

vskirdin

2011-09-30 15:52

administrator   bugnote:0007780

от ить, вроде умная система, а тут...
видимо в scripts\plugins.awk в блок BEGIN надо принудительно добавлять
FS="\r\n"
(или "\n\r" ???)

2useven10

2011-09-30 16:00

developer   bugnote:0007782

Last edited: 2011-09-30 16:08

View 3 revisions

если в svn поставить для этого файла(и других конвертящихся через gawk) eol-style native - это будет происходить при update/checkout автоматически. Вообще на мой взгляд, ничто не мешает поставить этот атрибут вообще для все сорсов...

ЗЫ: а как это работало раньше, мне всё равно непонятно...

2useven10

2011-09-30 16:11

developer   bugnote:0007783

скорее RS="\r\n"

ITSpec

2011-09-30 16:21

reporter   bugnote:0007785

"а как это работало раньше, мне всё равно непонятно..."

перед сборкой я обрабатываю исходники скриптом где заменяю вызовы из tools/gawk, /tools/m4 на системные. Ещё перевожу некоторые файлы в UNIX-формат. Ну и команды для сборки меняю на те что в mingw32.

До билда 2130 всё собиралось нормально. Похоже что узкое место где-то в скриптах *.awk, *.m4.

Вот скрипт:

#!/bin/sh

find ./fardev -name '.svn' -type d -print0 | xargs -0 /bin/rm -f -R
find ./fardev -name '*.hlf.m4' -type f -print0 | xargs -0 /usr/bin/dos2unix
find ./fardev -name '*.m4' -type f -print0 | xargs -0 /usr/bin/dos2unix
find ./fardev -name '*.awk' -type f -print0 | xargs -0 /usr/bin/dos2unix

for file in $(find ./fardev -name 'makefile*gcc*' -print)
do
    echo $file
    sed -i 's/ -mno-cygwin//' $file
    sed -i 's/CXX = g++/CXX = i686-mingw32-g++/' $file
    sed -i 's/CC = gcc/CC = i686-mingw32-gcc/' $file
    sed -i 's/DLLTOOL = dlltool/DLLTOOL = i686-mingw32-dlltool/' $file
    sed -i 's/RANLIB = ranlib/RANLIB = i686-mingw32-ranlib/' $file
    sed -i 's/M4 = tools\/m4/M4 = \/usr\/bin\/m4/' $file
    sed -i 's/GAWK = tools\/gawk/GAWK = \/usr\/bin\/gawk/' $file
    sed -i 's/M4 = $(TOOLSDIR)m4/M4 = \/usr\/bin\/m4/' $file
    sed -i 's/GAWK = $(TOOLSDIR)gawk/GAWK = \/usr\/bin\/gawk/' $file
    sed -i 's/WINDRES = windres/WINDRES = i686-mingw32-windres/' $file
    sed -i 's/@tools\/lng.generator.exe/wineconsole tools\/lng.generator.exe/' $file
    sed -i 's/@$(TOOLSDIR)lng.generator.exe/wineconsole tools\/lng.generator.exe/' $file
    sed -i 's/@$(COMMON)\/convert.exe/wineconsole $(COMMON)\/convert.exe/' $file
done
                                                                                                                             
sed -i 's/.\\scripts\\gendate.awk/.\/scripts\/gendate.awk/' ./fardev/unicode_far/tools.m4
sed -i 's/.\\scripts\\plugins.awk/.\/scripts\/plugins.awk/' ./fardev/unicode_far/tools.m4
sed -i 's/tools\\gawk.exe/\/usr\/bin\/gawk/' ./fardev/unicode_far/tools.m4

2useven10

2011-09-30 16:35

developer   bugnote:0007786

в 2130 появились test_api которые юзают Include/plugin.hpp - видимо до этого он в сборке не участвовал и то что он генерился неправильно никого не волновало.
добавьте plugin.hpp в dos2unix, это должно решить проблему, пока не устранят её причину.

vskirdin

2011-09-30 17:02

administrator   bugnote:0007787

этот файл - исключительно для проверки того факта, что plugin.hpp корректный и никто, правя его, не облажался, и, что, он соответствует C, а не C++.
вотъ

ITSpec

2011-10-03 08:21

reporter   bugnote:0007803

"добавьте plugin.hpp в dos2unix"
Пробовал, дело конечно не в этом. Формат самих исходников не важен. Он важен для скриптов *.awk, *.m4. А по поводу того, что проблема связана с появлением test_api.c я писал в самом начале, но самостоятельно разобраться в причинах не получается.

2useven10

2011-10-03 08:47

developer   bugnote:0007804

странно, что не помогает.
дело на мой взгляд, именно в этом. формат важен, потому что никсовый gawk в
досовском файле последнее поле получает как "text\r" и вся логика фильтрации plugins.gawk не работает. появление test_api.c просто выявило проблему, она была всегда. если вам нужно просто собрать фар - можете отключить сборку test_api, Include/plugin.hpp для сборки самого фара не нужен.
будет время попробую сам собрать на юниксе...

ITSpec

2011-10-03 11:48

reporter   bugnote:0007809

Всё, заработало!

2useven10, Ваш совет по поводу plugin.hpp был правильным.
Просто я не тот plugin.hpp в UNUX-формат переводил.
Include/plugin.hpp, а надо было unicode_far/plugin.hpp.

Всем спасибо за помощь.

Признаю, мой косяк.
И извиняюсь за потраченное время.

Просьба к разработчикам:

Поправьте пожалуйста регистр в файле api_test.c, замените include на Include

#include "include/plugin.hpp"
на
#include "Include/plugin.hpp"
и т.д.

vskirdin

2011-10-03 12:30

administrator   bugnote:0007813

в 2209 поправил Include

ITSpec

2011-10-03 16:48

reporter   bugnote:0007817

Спасибо!
Пора ставить Resolution: resolved

Issue History

Date Modified Username Field Change
2011-09-29 10:03 ITSpec New Issue
2011-09-29 12:45 2useven10 Note Added: 0007756
2011-09-29 15:28 ITSpec Note Added: 0007757
2011-09-29 15:45 2useven10 Note Added: 0007758
2011-09-29 15:51 2useven10 Note Edited: 0007758 View Revisions
2011-09-29 15:51 2useven10 Note Edited: 0007758 View Revisions
2011-09-29 17:47 ITSpec Note Added: 0007760
2011-09-29 17:48 ITSpec Note Edited: 0007760 View Revisions
2011-09-29 17:58 ITSpec Note Edited: 0007760 View Revisions
2011-09-29 18:09 2useven10 Note Added: 0007761
2011-09-29 18:11 2useven10 Note Edited: 0007761 View Revisions
2011-09-29 22:14 vskirdin Note Added: 0007762
2011-09-30 10:32 ITSpec Note Added: 0007763
2011-09-30 10:41 2useven10 Note Added: 0007764
2011-09-30 10:49 2useven10 Note Edited: 0007764 View Revisions
2011-09-30 11:28 ITSpec Note Added: 0007765
2011-09-30 11:42 2useven10 Note Added: 0007766
2011-09-30 11:51 ITSpec Note Added: 0007767
2011-09-30 11:52 ITSpec Note Edited: 0007767 View Revisions
2011-09-30 11:53 ITSpec Note Edited: 0007767 View Revisions
2011-09-30 12:06 2useven10 Note Added: 0007768
2011-09-30 12:22 2useven10 Note Added: 0007769
2011-09-30 12:28 ITSpec Note Added: 0007770
2011-09-30 12:34 ITSpec Note Added: 0007771
2011-09-30 12:57 2useven10 Note Added: 0007772
2011-09-30 13:01 ITSpec Note Added: 0007773
2011-09-30 13:11 2useven10 Note Added: 0007774
2011-09-30 14:00 ITSpec Note Added: 0007775
2011-09-30 14:01 ITSpec Note Edited: 0007775 View Revisions
2011-09-30 14:08 ITSpec Note Edited: 0007775 View Revisions
2011-09-30 14:16 ITSpec Note Edited: 0007775 View Revisions
2011-09-30 14:29 2useven10 Note Added: 0007776
2011-09-30 14:31 2useven10 Note Edited: 0007776 View Revisions
2011-09-30 14:33 2useven10 Note Edited: 0007776 View Revisions
2011-09-30 15:19 vskirdin Note Added: 0007778
2011-09-30 15:45 2useven10 Note Added: 0007779
2011-09-30 15:52 vskirdin Note Added: 0007780
2011-09-30 16:00 2useven10 Note Added: 0007782
2011-09-30 16:07 2useven10 Note Edited: 0007782 View Revisions
2011-09-30 16:08 2useven10 Note Edited: 0007782 View Revisions
2011-09-30 16:11 2useven10 Note Added: 0007783
2011-09-30 16:21 ITSpec Note Added: 0007785
2011-09-30 16:35 2useven10 Note Added: 0007786
2011-09-30 17:02 vskirdin Note Added: 0007787
2011-10-03 08:21 ITSpec Note Added: 0007803
2011-10-03 08:47 2useven10 Note Added: 0007804
2011-10-03 11:48 ITSpec Note Added: 0007809
2011-10-03 12:30 vskirdin Note Added: 0007813
2011-10-03 16:48 ITSpec Note Added: 0007817
2011-10-03 17:05 vskirdin Build => 2209
2011-10-03 17:05 vskirdin Status new => closed
2011-10-03 17:05 vskirdin Assigned To => vskirdin
2011-10-03 17:05 vskirdin Resolution open => fixed
2011-10-03 17:05 vskirdin Fixed in Version => 3.0